IPSW-DOWNLOAD-WIKI(1)

NAME
ipsw-download-wiki - Download old(er) IPSWs from theiphonewiki.com

SYNOPSIS
ipsw download wiki [flags]

DESCRIPTION
Download old(er) IPSWs from theiphonewiki.com

OPTIONS
--beta[=false]
    Download beta IPSWs/OTAs

-b, --build=""
    iOS BuildID (i.e. 16F203)

-y, --confirm[=false]
    do not prompt user for confirmation

--db="wiki_db.json"
    Path to local JSON database (will use CWD by default)

-d, --device=""
    iOS Device (i.e. iPhone11,2)

-f, --flat[=false]
    Do NOT preserve directory structure when downloading with --pattern

-h, --help[=false]
    help for wiki

--insecure[=false]
    do not verify ssl certs

--ipsw[=false]
    Download IPSWs

--json[=false]
    Parse URLs and store metadata in local JSON database

--kernel[=false]
    Extract kernelcache from remote IPSW

--ota[=false]
    Download OTAs

-o, --output=""
    Folder to download files to

--pattern=""
    Download remote files that match regex

--pb=""
    OTA prerequisite build

--proxy=""
    HTTP/HTTPS proxy

--pv=""
    OTA prerequisite version

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-v, --version=""
    iOS Version (i.e. 12.3.1)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download older IPSWs for specific device
    ❯ ipsw download wiki --ipsw --device iPhone10,6 --version 12.0
    # Download OTA updates with prerequisites
    ❯ ipsw download wiki --ota --device iPhone14,2 --version 17.1 --pv 17.0
    # Extract kernelcache from remote IPSW
    ❯ ipsw download wiki --ipsw --device iPhone14,2 --build 21A329 --kernel
    # Build JSON database of firmware metadata
    ❯ ipsw download wiki --ipsw --device iPhone14,2 --json

SEE ALSO
ipsw-download(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra